
From: Stas Sergeev <stsp@aknet.ru>

This patch moves the CONFIG_TRAP_BAD_SYSCALL_EXIT from "Executable file
formats" section to the KGDB section.  I had real problems finding that option
where it was.

Signed-off-by: Stas Sergeev <stsp@aknet.ru>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/Kconfig      |    8 --------
 arch/i386/Kconfig.kgdb |    8 ++++++++
 2 files changed, 8 insertions(+), 8 deletions(-)

diff -puN arch/i386/Kconfig~kgdb-move-config-option-for-bad_syscall_exit arch/i386/Kconfig
--- 25/arch/i386/Kconfig~kgdb-move-config-option-for-bad_syscall_exit	2005-04-26 23:58:47.121667432 -0700
+++ 25-akpm/arch/i386/Kconfig	2005-04-26 23:58:47.126666672 -0700
@@ -1230,14 +1230,6 @@ menu "Executable file formats"
 
 source "fs/Kconfig.binfmt"
 
-config TRAP_BAD_SYSCALL_EXITS
-	bool "Debug bad system call exits"
-	depends on KGDB
-	help
-	  If you say Y here the kernel will check for system calls which
-	  return without clearing preempt.
-        default n
-
 endmenu
 
 source "drivers/Kconfig"
diff -puN arch/i386/Kconfig.kgdb~kgdb-move-config-option-for-bad_syscall_exit arch/i386/Kconfig.kgdb
--- 25/arch/i386/Kconfig.kgdb~kgdb-move-config-option-for-bad_syscall_exit	2005-04-26 23:58:47.122667280 -0700
+++ 25-akpm/arch/i386/Kconfig.kgdb	2005-04-26 23:58:47.126666672 -0700
@@ -145,6 +145,14 @@ config STACK_OVERFLOW_TEST
 	  to check for kernel stack overflow on interrupts and system
 	  calls.  This is part of the kgdb code on x86 systems.
 
+config TRAP_BAD_SYSCALL_EXITS
+	bool "Debug bad system call exits"
+	depends on KGDB
+	help
+	  If you say Y here the kernel will check for system calls which
+	  return without clearing preempt.
+        default n
+
 config KGDB_CONSOLE
 	bool "Enable serial console thru kgdb port"
 	depends on KGDB
_
